type

  MsgHeaderRec    = record
    FromUserName,
    ToUserName    : array[1..36] of byte;
    Subject       : array[1..72] of byte;
    DateTime      : array[1..20] of byte;
    TimesRead,
    DestNode,
    OrigNode,
    Cost,
    OrigNet,
    DestNet,
    DestZone,
    OrigZone,
    DestPoint,
    OrigPoint,
    ReplyTo,
    Attribute,
    NextReply     : word;
  end;

  PackedMsgHeaderRec    = record
    MsgType,
    OrigNode,
    DestNode,
    OrigNet,
    DestNet,
    Attribute,
    Cost          : word;
    DateTime      : array[1..20] of char;
  end;


  PktHeaderRec    = record
    OrigNode,
    DestNode,
    Year,
    Month,
    Day,
    Hour,
    Minute,
    Second,
    Baud,
    PktType,
    OrigNet,
    DestNet       : word;
    ProdCode,
    SerialNo      : byte;
    Password      : array[1..8] of byte;
    OrigZone,
    DestZone      : word;
    FillArea      : array[1..8] of byte;
    OrigZoneGate,
    DestZoneGate,
    OrigPoint,
    DestPoint    : word;
    Mark         : array[1..4] of byte;
  end;

  ExtFlags = (NoFlag, Dir, Imm, Locked, ZoneGate, HubHostRoute, Xmail, CnfmRcpReq,
              EraseFileSnt, ArchFileSnt, TruncFileSnt, ForcePickUp);

  const

    Pvt                  = $0001; {00}  {筮     } {+   }
    Crash                = $0002; {01}  {ᮡ     } {+  s}
    Recd                 = $0004; {02}  {祭   }
    Sent                 = $0008; {03}  {᫠   }
    FileAttached         = $0010; {04}  { 䠩   } {+   }
    InTransit            = $0020; {05}  {࠭⭮ }
    Orphan               = $0040; {06}  {     }
    KillSent             = $0080; {07}  {    }
    Local                = $0100; {08}  {⭮    }
    HoldForPickup        = $0200; {09}  {ঠ  }
    unused               = $0400; {10}                {+   }
    FileRequest          = $0800; {11}  { ᮬ } {   s}
    ReturnReceiptRequest = $1000; {12}  { 㢥. }
    IsReturnReceipt      = $2000; {13}  {.   } { + s}
    AuditRequest         = $4000; {14}  {ॣ } { + s}
    FileUpdateReq        = $8000; {15}  {   } {   s}

{s -  易⥫쭮  ᯮ,  ᪠
 + -   । ஢}

  ExtFlag : array[ExtFlags] of string[3] =
    ('   ', 'DIR', 'IMM', 'LOK', 'ZON', 'HUB', 'XMA', 'CFM', 'KFS', 'A/S',
     'TFS', 'FPU');
